viralquery
API referencev1/scrolls

Start a fresh tenant-scoped research scroll for the configured workspace

POST
/v1/scrolls

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/scrolls" \  -H "Content-Type: application/json" \  -d '{}'
{
  "outcome": "queued",
  "scroll": {
    "id": "string",
    "status": "queued",
    "stage": "string",
    "progress": {
      "property1": null,
      "property2": null
    },
    "resultCounts": {
      "property1": null,
      "property2": null
    },
    "failureCode": "string",
    "createdAt": 0,
    "updatedAt": 0,
    "startedAt": 0,
    "completedAt": 0
  },
  "usage": {
    "period": "string",
    "included": 0,
    "purchased": 0,
    "reserved": 0,
    "completed": 0,
    "remaining": 0
  }
}
{
  "error": "invalid_request",
  "message": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "unauthorized",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "subscription_required",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}